# ip Struct Reference

List of all members.

## Public Attributes

unsigned int | ip_hl:4
unsigned int | version:4
unsigned char | tos
unsigned short | total_len
unsigned short | ident
unsigned short | frag_and_flags
unsigned char | ip_ttl
unsigned char | proto
unsigned short | checksum
unsigned int | sourceIP
unsigned int | destIP

## Member Data Documentation

unsigned short ip::checksum

unsigned int ip::destIP

unsigned short ip::frag_and_flags

unsigned short ip::ident

unsigned int ip::ip_hl

unsigned char ip::ip_ttl

unsigned char ip::proto

unsigned int ip::sourceIP

unsigned char ip::tos

unsigned short ip::total_len

unsigned int ip::version

The documentation for this struct was generated from the following file:

- Ping_Socket.cpp